<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (19) on Mon Oct 17 22:19:32 CEST 2022 -->
<title>Uses of Enum Class duel.MODE</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2022-10-17">
<meta name="description" content="use: package: duel, enum: MODE">
<meta name="generator" content="javadoc/ClassUseWriter">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
<script type="text/javascript" src="../../script-dir/jquery-3.6.0.min.js"></script>
<script type="text/javascript" src="../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-use-page">
<script type="text/javascript">var pathtoroot = "../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top"><button id="navbar-toggle-button" aria-controls="navbar-top" aria-expanded="false" aria-label="Toggle navigation links"><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span></button>
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../MODE.html" title="enum class in duel">Class</a></li>
<li class="nav-bar-cell1-rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html#use">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div id="navbar-sub-list"></div>
<div class="nav-list-search"><a href="../../search.html">SEARCH</a>
<input type="text" id="search-input" disabled placeholder="Search">
<input type="reset" id="reset-button" disabled value="reset">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1 title="Uses of Enum Class duel.MODE" class="title">Uses of Enum Class<br>duel.MODE</h1>
</div>
<div class="caption"><span>Packages that use <a href="../MODE.html" title="enum class in duel">MODE</a></span></div>
<div class="summary-table two-column-summary">
<div class="table-header col-first">Package</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><a href="#card">card</a></div>
<div class="col-last even-row-color">&nbsp;</div>
<div class="col-first odd-row-color"><a href="#duel">duel</a></div>
<div class="col-last odd-row-color">&nbsp;</div>
</div>
<section class="class-uses">
<ul class="block-list">
<li>
<section class="detail" id="card">
<h2>Uses of <a href="../MODE.html" title="enum class in duel">MODE</a> in <a href="../../card/package-summary.html">card</a></h2>
<div class="caption"><span>Fields in <a href="../../card/package-summary.html">card</a> declared as <a href="../MODE.html" title="enum class in duel">MODE</a></span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Field</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><code>private <a href="../MODE.html" title="enum class in duel">MODE</a></code></div>
<div class="col-second even-row-color"><span class="type-name-label">monsterCard.</span><code><a href="../../card/monsterCard.html#mode" class="member-name-link">mode</a></code></div>
<div class="col-last even-row-color">&nbsp;</div>
</div>
<div class="caption"><span>Methods in <a href="../../card/package-summary.html">card</a> that return <a href="../MODE.html" title="enum class in duel">MODE</a></span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><code><a href="../MODE.html" title="enum class in duel">MODE</a></code></div>
<div class="col-second even-row-color"><span class="type-name-label">monsterCard.</span><code><a href="../../card/monsterCard.html#getMode()" class="member-name-link">getMode</a>()</code></div>
<div class="col-last even-row-color">&nbsp;</div>
</div>
<div class="caption"><span>Methods in <a href="../../card/package-summary.html">card</a> with parameters of type <a href="../MODE.html" title="enum class in duel">MODE</a></span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><code>void</code></div>
<div class="col-second even-row-color"><span class="type-name-label">monsterCard.</span><code><a href="../../card/monsterCard.html#setMode(duel.MODE)" class="member-name-link">setMode</a><wbr>(<a href="../MODE.html" title="enum class in duel">MODE</a>&nbsp;mode)</code></div>
<div class="col-last even-row-color">&nbsp;</div>
</div>
</section>
</li>
<li>
<section class="detail" id="duel">
<h2>Uses of <a href="../MODE.html" title="enum class in duel">MODE</a> in <a href="../package-summary.html">duel</a></h2>
<div class="caption"><span>Methods in <a href="../package-summary.html">duel</a> that return <a href="../MODE.html" title="enum class in duel">MODE</a></span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><code>static <a href="../MODE.html" title="enum class in duel">MODE</a></code></div>
<div class="col-second even-row-color"><span class="type-name-label">MODE.</span><code><a href="../MODE.html#valueOf(java.lang.String)" class="member-name-link">valueOf</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/18/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;name)</code></div>
<div class="col-last even-row-color">
<div class="block">Returns the enum constant of this class with the specified name.</div>
</div>
<div class="col-first odd-row-color"><code>static <a href="../MODE.html" title="enum class in duel">MODE</a>[]</code></div>
<div class="col-second odd-row-color"><span class="type-name-label">MODE.</span><code><a href="../MODE.html#values()" class="member-name-link">values</a>()</code></div>
<div class="col-last odd-row-color">
<div class="block">Returns an array containing the constants of this enum class, in
the order they are declared.</div>
</div>
</div>
</section>
</li>
</ul>
</section>
</main>
</div>
</div>
</body>
</html>
